[SciPy-dev] Failure installing SciPy

Pearu Peterson pearu at cens.ioc.ee
Sat Oct 19 06:40:21 CDT 2002


On Sat, 19 Oct 2002, Johnny boi wrote:

> Hi all
> 
> 
> I've install all the Prerequisits for SciPy,
> (python2.1, Numerical Python, ATLAS, f2py). Then I
> went on and did a 'python2.1 setup.py install' on
> SciPy and it gave me all these errors:
> 
> atlas_info:
>   NOT AVAILABLE

<snip>

> I've done sanity_test for atlas and everything passed.
> So what could be the problem??

How/where did you install atlas? Note that 'make install' in ATLAS does
not install the libraries to the system. You have to do that manually,
e.g. copy atlas libraries (the files libf77blas.a,
libcblas.a, liblapack.a, libaltas.a) to /usr/local/lib/atlas.
And make sure that you have applied instructions from

  http://math-atlas.sourceforge.net/errata.html#completelp

before the copy. Without that import scipy will fail.

Pearu





More information about the Scipy-dev mailing list